<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: AnimalBase Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/d8f/class_animal_base.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">AnimalBase Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a3f7b9f970c446a6cb09863b5956869fd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d8f/class_animal_base.html#a3f7b9f970c446a6cb09863b5956869fd">OnEnterZone</a> (<a class="el" href="../../d4/de5/expansionzonetype_8c.html#a91fff2923c73524aa9ddd1aa0e5c0337">ExpansionZoneType</a> type)</td></tr>
<tr class="separator:a3f7b9f970c446a6cb09863b5956869fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afaa3de21a8efed9dedbb4aabed7c50fc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d8f/class_animal_base.html#afaa3de21a8efed9dedbb4aabed7c50fc">OnExitZone</a> (<a class="el" href="../../d4/de5/expansionzonetype_8c.html#a91fff2923c73524aa9ddd1aa0e5c0337">ExpansionZoneType</a> type)</td></tr>
<tr class="separator:afaa3de21a8efed9dedbb4aabed7c50fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb17e1128e710cc991927a217af5f6a1"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d8f/class_animal_base.html#adb17e1128e710cc991927a217af5f6a1">IsInSafeZone</a> ()</td></tr>
<tr class="separator:adb17e1128e710cc991927a217af5f6a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:ae840c8048fdd1095b1fe04d280ab244e"><td class="memItemLeft" align="right" valign="top">protected autoptr <a class="el" href="../../d7/d1f/class_expansion_zone_actor.html">ExpansionZoneActor</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d8f/class_animal_base.html#ae840c8048fdd1095b1fe04d280ab244e">m_Expansion_SafeZoneInstance</a> = new ExpansionZoneEntity&lt;<a class="el" href="../../d4/d8f/class_animal_base.html">AnimalBase</a>&gt;(this)</td></tr>
<tr class="separator:ae840c8048fdd1095b1fe04d280ab244e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4acaabc3e5e01816b144fb5e2479802d"><td class="memItemLeft" align="right" valign="top">protected bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d8f/class_animal_base.html#a4acaabc3e5e01816b144fb5e2479802d">m_Expansion_IsInSafeZone</a></td></tr>
<tr class="separator:a4acaabc3e5e01816b144fb5e2479802d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../d8/dd5/animalbase_8c.html">AnimalBase.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/dd5/animalbase_8c_source.html#l00013">13</a> of file <a class="el" href="../../d8/dd5/animalbase_8c_source.html">animalbase.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="adb17e1128e710cc991927a217af5f6a1" name="adb17e1128e710cc991927a217af5f6a1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adb17e1128e710cc991927a217af5f6a1">&#9670;&#160;</a></span>IsInSafeZone()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool AnimalBase::IsInSafeZone </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dd5/animalbase_8c_source.html#l00049">49</a> of file <a class="el" href="../../d8/dd5/animalbase_8c_source.html">animalbase.c</a>.</p>

</div>
</div>
<a id="a3f7b9f970c446a6cb09863b5956869fd" name="a3f7b9f970c446a6cb09863b5956869fd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3f7b9f970c446a6cb09863b5956869fd">&#9670;&#160;</a></span>OnEnterZone()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AnimalBase::OnEnterZone </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/de5/expansionzonetype_8c.html#a91fff2923c73524aa9ddd1aa0e5c0337">ExpansionZoneType</a>&#160;</td>
          <td class="paramname"><em>type</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dd5/animalbase_8c_source.html#l00019">19</a> of file <a class="el" href="../../d8/dd5/animalbase_8c_source.html">animalbase.c</a>.</p>

</div>
</div>
<a id="afaa3de21a8efed9dedbb4aabed7c50fc" name="afaa3de21a8efed9dedbb4aabed7c50fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afaa3de21a8efed9dedbb4aabed7c50fc">&#9670;&#160;</a></span>OnExitZone()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AnimalBase::OnExitZone </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/de5/expansionzonetype_8c.html#a91fff2923c73524aa9ddd1aa0e5c0337">ExpansionZoneType</a>&#160;</td>
          <td class="paramname"><em>type</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dd5/animalbase_8c_source.html#l00037">37</a> of file <a class="el" href="../../d8/dd5/animalbase_8c_source.html">animalbase.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a4acaabc3e5e01816b144fb5e2479802d" name="a4acaabc3e5e01816b144fb5e2479802d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4acaabc3e5e01816b144fb5e2479802d">&#9670;&#160;</a></span>m_Expansion_IsInSafeZone</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected bool AnimalBase::m_Expansion_IsInSafeZone</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dd5/animalbase_8c_source.html#l00017">17</a> of file <a class="el" href="../../d8/dd5/animalbase_8c_source.html">animalbase.c</a>.</p>

</div>
</div>
<a id="ae840c8048fdd1095b1fe04d280ab244e" name="ae840c8048fdd1095b1fe04d280ab244e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae840c8048fdd1095b1fe04d280ab244e">&#9670;&#160;</a></span>m_Expansion_SafeZoneInstance</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected autoptr <a class="el" href="../../d7/d1f/class_expansion_zone_actor.html">ExpansionZoneActor</a> AnimalBase::m_Expansion_SafeZoneInstance = new ExpansionZoneEntity&lt;<a class="el" href="../../d4/d8f/class_animal_base.html">AnimalBase</a>&gt;(this)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dd5/animalbase_8c_source.html#l00015">15</a> of file <a class="el" href="../../d8/dd5/animalbase_8c_source.html">animalbase.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Core/Scripts/4_world/dayzexpansion_core/creatures/animals/<a class="el" href="../../d8/dd5/animalbase_8c_source.html">animalbase.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d4/d8f/class_animal_base.html">AnimalBase</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
